Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.portlet
Class EncryptionType

    java.lang.Object
      com.plumtree.remote.portlet.EncryptionType

public class EncryptionType
extends java.lang.Object

`EncryptionType` is an enumeration of the different types of encryption that can be used by a portlet. `EncryptionType` is a type-safe enumeration, so instances of the class can be compared using identity equality.

Field Summary
`static EncryptionType` | `AES` Credentials are encrypted and decrypted by the portlet using AES-128 encryption and a private key.
`static EncryptionType` | `BASE64` Credentials stored in the credential vault can be sent Base64 encoded if the connection is over SSL.
`static EncryptionType` | `NONE` Credentials should only be passed in plain-text if the connection is secured via SSL.
`static EncryptionType` | `RC2` Credentials are encrypted and decrypted by the portlet using RC2-40 encryption and a private key.
`static EncryptionType` | `RSA` Credentials stored in the credential vault will be encrypted by the portal via PKI encryption and sent to the portlet.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RC2

    public static EncryptionType RC2

  Credentials are encrypted and decrypted by the portlet using RC2-40 encryption and a private key. Portlets that do not use the credential vault use this encryption method.

### AES

    public static EncryptionType AES

  Credentials are encrypted and decrypted by the portlet using AES-128 encryption and a private key. Portlets that do not use the credential vault use this encryption method.

### RSA

    public static EncryptionType RSA

  Credentials stored in the credential vault will be encrypted by the portal via PKI encryption and sent to the portlet. Portlets that use the IDK and consume credential vault values use this encryption method.

### BASE64

    public static EncryptionType BASE64

  Credentials stored in the credential vault can be sent Base64 encoded if the connection is over SSL. Basic Auth credentials are also sent Base64 encoded.

### NONE

    public static EncryptionType NONE

  Credentials should only be passed in plain-text if the connection is secured via SSL. Passing credentials in this manner allows the portal to consume an existing web application.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.